Subject: bug#57639: [PATCH] Add new command 'toggle-theme'

From: Philip Kaludercic <[email-masked]>
Date: Sun, 09 Oct 2022 21:02:59 +0000

Stefan Kangas <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> --8<---------------cut here---------------start------------->8---
>> ;;;###autoload
>> (when (and (boundp 'custom-theme-load-path)
>>            load-file-name)
>>   ;; Add theme folder to `custom-theme-load-path' when installing over MELPA.
>>   (add-to-list 'custom-theme-load-path
>>                (file-name-as-directory (file-name-directory load-file-name))))
>> --8<---------------cut here---------------end--------------->8---
>>
>> from leuven-theme.el to be removed.
>
> Why would the above be necessary for leuven-theme.el in particular?
>
> I've never had a problem loading themes installed from MELPA, so I don't
> understand why it should need any special treatment.

It probably isn't necessary at all and it could be removed.  My guess is
that it used to be necessary for [some reason] but [something] changed
at [some point], but the snippet was kept anyway.

I have CC'ed the maintainer Fabrice to find out if my guess is accurate.